> This page is for Taurus PROTECT, version v3.44.
> For other versions, use one of these documentation indexes:
> - v3.58 (default): https://taurushq.ferndocs.com/protect-capital/v3.58/llms.txt
> - v3.56: https://taurushq.ferndocs.com/protect-capital/v3.56/llms.txt
> - v3.54: https://taurushq.ferndocs.com/protect-capital/v3.54/llms.txt
> - v3.52: https://taurushq.ferndocs.com/protect-capital/v3.52/llms.txt
> - v3.50: https://taurushq.ferndocs.com/protect-capital/v3.50/llms.txt
> - v3.48: https://taurushq.ferndocs.com/protect-capital/v3.48/llms.txt
> - v3.46: https://taurushq.ferndocs.com/protect-capital/v3.46/llms.txt
> - v3.44: https://taurushq.ferndocs.com/protect-capital/v3.44/llms.txt
> - v3.42: https://taurushq.ferndocs.com/protect-capital/v3.42/llms.txt
> - v3.40: https://taurushq.ferndocs.com/protect-capital/v3.40/llms.txt
> - v3.38: https://taurushq.ferndocs.com/protect-capital/v3.38/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://taurushq.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://taurushq.ferndocs.com/_mcp/server.

# List pledge actions for approval

GET https://your-protect-instance.example.com/api/rest/v1/tn/pledges/actions/for-approval

This endpoint returns a list of Taurus-NETWORK pledge actions for approval.
 Required role: **RequestApprover**.

Reference: https://taurushq.ferndocs.com/protect-capital/v3.46/reference/taurus-network/get-pledge-actions-for-approval

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `types` (list of string, optional) — Filter on pledge actions types
- `ids` (list of string, optional)
- `cursor.currentPage` (string, optional) — Base64-encoded string representing the current window of data
- `cursor.pageRequest` (string, optional) — The page to request, w.r.t the current page. Can be one of `FIRST`, `PREVIOUS`, `NEXT`, `LAST`
- `cursor.pageSize` (string, optional) — The size of the page requested. The handling service should impose a hard limit on this
- `sortOrder` (string, optional) — Set this parameter to ASC to get the addresses sorted in ascending order or DESC to get them in descending order.

## Response

### 200

A successful response.

- `result` (list of tgvalidatordTnPledgeAction, optional)
- `cursor` (tgvalidatordResponseCursor, optional)

## Errors

### 400 Bad Request Error

Bad Request: indicates that the server cannot or will not process the request due to something that is perceived to be a client error (for example, malformed request syntax, invalid request message framing, or deceptive request routing)

- `any`

### 401 Unauthorized Error

Unauthorized: indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource

- `any`

### 403 Forbidden Error

Forbidden: indicates that the server understands the request but refuses to authorize it

- `any`

### 404 Not Found Error

Not Found: indicates that the server cannot find the requested resource

- `any`

### 500 Internal Server Error

Internal Server Error: indicates that the server encountered an unexpected condition that prevented it from fulfilling the request

- `any`

### 503 Service Unavailable Error

Service Unavailable: indicates that the server is not ready to handle the request.

- `any`

## Types

### tgvalidatordTnPledgeAction

- `id` (string, optional)
- `pledgeID` (string, optional)
- `actionType` (string, optional)
- `status` (string, optional)
- `metadata` (tgvalidatordMetadata, optional)
- `rule` (string, optional)
- `approvers` (tgvalidatordApprovers, optional)
- `needsApprovalFrom` (list of string, optional)
- `createdAt` (datetime, optional)
- `lastApprovalDate` (datetime, optional)
- `envelope` (string, optional)
- `trails` (list of tgvalidatordTnPledgeActionTrail, optional)
- `pledgeWithdrawalID` (string, optional)

### tgvalidatordResponseCursor

- `currentPage` (string, optional)
- `hasPrevious` (boolean, optional) — Hints for UI to display whether a previous and/or next page of data are available.
- `hasNext` (boolean, optional)

### tgvalidatordMetadata

- `hash` (string, optional)
- `payload` (any, optional)
- `payloadAsString` (string, optional)

### tgvalidatordApprovers

- `parallel` (list of tgvalidatordParallelApproversGroups, optional)

### tgvalidatordTnPledgeActionTrail

- `id` (string, optional)
- `pledgeActionID` (string, optional)
- `userID` (string, optional)
- `externalUserID` (string, optional)
- `action` (string, optional)
- `comment` (string, optional)
- `createdAt` (datetime, optional)

### tgvalidatordParallelApproversGroups

- `sequential` (list of tgvalidatordApproversGroup, optional)

### tgvalidatordApproversGroup

- `externalGroupID` (string, optional)
- `minimumSignatures` (long, optional)

## Examples

**Response**

```json
{
  "result": [
    {
      "id": "string",
      "pledgeID": "string",
      "actionType": "string",
      "status": "string",
      "metadata": {
        "hash": "string",
        "payloadAsString": "string"
      },
      "rule": "string",
      "approvers": {
        "parallel": [
          {
            "sequential": [
              {
                "externalGroupID": "string",
                "minimumSignatures": 1
              }
            ]
          }
        ]
      },
      "needsApprovalFrom": [
        "string"
      ],
      "createdAt": "2024-01-15T09:30:00Z",
      "lastApprovalDate": "2024-01-15T09:30:00Z",
      "envelope": "string",
      "trails": [
        {
          "id": "string",
          "pledgeActionID": "string",
          "userID": "string",
          "externalUserID": "string",
          "action": "string",
          "comment": "string",
          "createdAt": "2024-01-15T09:30:00Z"
        }
      ],
      "pledgeWithdrawalID": "string"
    }
  ],
  "cursor": {
    "currentPage": "string",
    "hasPrevious": true,
    "hasNext": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://your-protect-instance.example.com/api/rest/v1/tn/pledges/actions/for-approval"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://your-protect-instance.example.com/api/rest/v1/tn/pledges/actions/for-approval';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://your-protect-instance.example.com/api/rest/v1/tn/pledges/actions/for-approval"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://your-protect-instance.example.com/api/rest/v1/tn/pledges/actions/for-approval")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://your-protect-instance.example.com/api/rest/v1/tn/pledges/actions/for-approval")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-protect-instance.example.com/api/rest/v1/tn/pledges/actions/for-approval', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://your-protect-instance.example.com/api/rest/v1/tn/pledges/actions/for-approval");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://your-protect-instance.example.com/api/rest/v1/tn/pledges/actions/for-approval")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```